Your system may not meet the requirements for Firefox, but you can try one of these versions:

Your system doesn't meet the requirements to run Firefox.

Your system doesn't meet the requirements to run Firefox.

Please follow these instructions to install Firefox.

Firefox Privacy Notice

Mozilla Foundation Security Advisory 2011-09

Crash caused by corrupted JPEG image

Announced
March 1, 2011
Reporter
Jordi Chancel
Impact
Critical
Products
Firefox, Thunderbird
Fixed in
  • Firefox 3.6.14
  • Thunderbird 3.1.8

Description

Security researcher Jordi Chancel reported that a JPEG image could be constructed that would be decoded incorrectly, causing data to be written past the end of a buffer created to store the image. An attacker could potentially craft such an image that would cause malicious code to be stored in memory and then later executed on a victim's computer.

Firefox 3.5 was not affected by this issue.

References